Method: agenticCaseReports.download

Full name: projects.locations.instances.cases.agenticCaseReports.download

Downloads a published agenticCaseReport via Scotty.

HTTP request

GET https://{endpoint}/v1alpha/{name}:download

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
name

string

Required. The name of the report to download. Format: projects/{project}/locations/{location}/instances/{instance}/cases/{case}/agenticCaseReports/{report}

Query parameters

Parameters
format

enum (Format)

Required. The format of the report to download.

Request body

The request body must be empty.

Response body

Response containing the Scotty download URL and expiration time.

If successful, the response body contains data with the following structure:

JSON representation
{
  "downloadUrl": string,
  "expireTime": string
}
Fields
downloadUrl

string

The signed Scotty download URL.

expireTime

string (Timestamp format)

Expiration time of the signed Scotty download URL.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • chronicle.agenticCaseReports.get

For more information, see the IAM documentation.

Format

The format of the report to download.

Enums
FORMAT_UNSPECIFIED Unspecified format.
PDF PDF document format.
MARKDOWN Markdown document format.